Skip to main content
GET
/
bookings
/
{id}
Get a booking
curl --request GET \
  --url https://formitto.com/v1/bookings/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://formitto.com/v1/bookings/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://formitto.com/v1/bookings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "calendarWidgetId": 123,
  "inviteeName": "<string>",
  "inviteeEmail": "[email protected]",
  "slotIso": "<string>",
  "slotDisplay": "<string>",
  "inviteeTimezone": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customFields": {},
  "videoCallUrl": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}
{
"error": "<string>",
"code": "<string>"
}

Authorizations

Authorization
string
header
required

A Formitto API key created in the dashboard (Settings → API keys). Pass it as Authorization: Bearer fmt_live_....

Path Parameters

id
integer
required

The resource id.

Response

The booking.

id
integer
required
calendarWidgetId
integer
required
inviteeName
string
required
inviteeEmail
string<email>
required
slotIso
string
required
slotDisplay
string
required
inviteeTimezone
string
required
status
enum<string>
required
Available options:
scheduled,
cancelled,
no_show,
completed,
failed
createdAt
string<date-time>
required
customFields
object
videoCallUrl
string<uri> | null